<?php

namespace Modules\ClinicCore\Entities;

use Illuminate\Database\Eloquent\Model;

class ClcAppointmentStatusLog extends Model
{
    protected $table = 'clc_appointment_status_logs';
    protected $guarded = ['id'];

    protected $casts = [
        'changed_at' => 'datetime',
    ];

    public function appointment()
    {
        return $this->belongsTo(ClcAppointment::class, 'appointment_id');
    }

    public function changedBy()
    {
        return $this->belongsTo(\App\User::class, 'changed_by');
    }
}
